hledger-1.2: Command-line interface for the hledger accounting tool

Safe Haskell | None
Language | Haskell2010

Hledger.Cli.Print

Description

A ledger-compatible `print` command.

Synopsis

- printmode :: Mode RawOpts
- print' :: CliOpts -> Journal -> IO ()
- entriesReportAsText :: EntriesReport -> String
- originalTransaction :: Transaction -> Transaction
- tests_Hledger_Cli_Print :: Test

# Documentation

printmode :: Mode RawOpts Source #

print' :: CliOpts -> Journal -> IO () Source #

Print journal transactions in standard format.

entriesReportAsText :: EntriesReport -> String Source #

originalTransaction :: Transaction -> Transaction Source #

tests_Hledger_Cli_Print :: Test Source #